Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.MaxLocks Property
DatabaseEnvironment Class See Also Send Feedback

The maximum number of locks supported by the Berkeley DB environment.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public uint MaxLocks { get; private set; }

Visual Basic (Declaration)
    Public Property MaxLocks As UInteger

Visual C++
    public:
    property unsigned int MaxLocks {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace